# Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.
"""
boostrap file responsible of starting flask application
used when running the application within Flask web server
"""
import subprocess
import os
import sys

rootdir = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
sys.path.append(rootdir)
from backend.log_util import set_log_config
from webapp import app as LSAApp

if __name__ == '__main__':
    try:
        set_log_config()
    except Exception as e:
        print('cannot setup logging: %s' % str(e))

    subprocess.call(['pkill', '-9', '-f', 'priv_exec_server.py'])
    subprocess.Popen([ 'python', os.path.dirname(os.path.abspath(__file__)) + '/priv_exec_server.py'])

    LSAApp.run(host='0.0.0.0')
